Index: src/main/java/org/geotools/renderer/shape/ShapefileRenderer.java
===================================================================
--- src/main/java/org/geotools/renderer/shape/ShapefileRenderer.java	(revisione 26502)
+++ src/main/java/org/geotools/renderer/shape/ShapefileRenderer.java	(copia locale)
@@ -1267,13 +1267,11 @@
             ReferencedEnvelope bbox = envelope;
 
             try {
-                ShapefileDataStore ds = (ShapefileDataStore) currLayer.getFeatureSource()
-                        .getDataStore();
+                GeometryAttributeType geom = currLayer.getFeatureSource().getSchema().getDefaultGeometry();
                 
                 CoordinateReferenceSystem dataCRS;
                 if( getForceCRSHint()==null )
-                	dataCRS = ds.getSchema().getDefaultGeometry()
-                        .getCoordinateSystem();
+                	dataCRS = geom.getCoordinateSystem();
                 else
                 	dataCRS=getForceCRSHint();
                 
@@ -1300,6 +1298,7 @@
                 }
 
                 // dbfheader must be set so that the attributes required for theming can be read in.
+                ShapefileDataStore ds = (ShapefileDataStore) currLayer.getFeatureSource().getDataStore();
                 dbfheader = getDBFHeader(ds);
 
                 // graphics.setTransform(transform);
